%define upstream_name    Sereal-Encoder
%define upstream_version 5.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Fast, compact, powerful binary serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/Y/YV/YVES/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.0.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sereal::Decoder) >= 5.4.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(XSLoader)
BuildRequires: pkgconfig(libzstd)
BuildRequires: perl-devel
# Optional tests:

%description
Devel::CheckLib is a perl module that checks whether a particular C library
and its headers are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove bundled zstd
rm -r zstd
perl -i -ne 'print $_ unless m{^zstd/}' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor
# (daviddavid) // build is broken:
%__make

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 5.4.0-4.mga10
+ Revision: 2226576
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 5.4.0-3.mga10
+ Revision: 2089046
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 5.4.0-2.mga10
+ Revision: 2011375
- Rebuild for perl-5.38

* Thu Aug 31 2023 daviddavid <daviddavid> 5.4.0-1.mga10
+ Revision: 1982806
- update to 5.004

* Wed Feb 08 2023 daviddavid <daviddavid> 5.3.0-1.mga9
+ Revision: 1939494
- new version: 5.003

* Fri Feb 03 2023 daviddavid <daviddavid> 5.2.0-1.mga9
+ Revision: 1937686
- new version: 5.002

* Tue Nov 08 2022 daviddavid <daviddavid> 5.1.0-1.mga9
+ Revision: 1904769
- update to 5.001

* Mon Jun 13 2022 tv <tv> 4.23.0-1.mga9
+ Revision: 1864298
- update to 4.023
+ umeabot <umeabot>
- Rebuild for Perl 5.36

* Wed Mar 23 2022 umeabot <umeabot> 4.18.0-3.mga9
+ Revision: 1821896
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 4.18.0-2.mga9
+ Revision: 1727069
- Rebuild for perl 5.34

* Mon Aug 10 2020 daviddavid <daviddavid> 4.18.0-1.mga8
+ Revision: 1612911
- update to 4.018

* Fri Jul 10 2020 tv <tv> 4.17.0-1.mga8
+ Revision: 1603990
- update to 4.017
- use system zstd lib
- add more BRs
- BR perl(Test::Deep::NoTest)
- update to 4.014
+ daviddavid <daviddavid>
- update to 4.015
+ umeabot <umeabot>
- Rebuild for perl 5.32

* Thu Jun 11 2020 tv <tv> 4.12.0-1.mga8
+ Revision: 1592287
- update to 4.012

* Thu Feb 20 2020 umeabot <umeabot> 4.11.0-2.mga8
+ Revision: 1546264
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 4.11.0-1.mga8
+ Revision: 1489058
- update to 4.011

* Sat Feb 01 2020 tv <tv> 4.8.0-1.mga8
+ Revision: 1486233
- update to 4.008

* Tue Aug 27 2019 tv <tv> 4.7.0-2.mga8
+ Revision: 1433186
- rebuild with perl-5.30

* Thu Apr 11 2019 tv <tv> 4.7.0-1.mga7
+ Revision: 1388266
- update to 4.007

* Tue Apr 09 2019 tv <tv> 4.6.0-1.mga7
+ Revision: 1387510
- update to 4.006

* Fri Sep 21 2018 umeabot <umeabot> 4.5.0-3.mga7
+ Revision: 1293755
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 4.5.0-2.mga7
+ Revision: 1248188
- fix files list
- rebuild for perl 5.28

* Thu Jan 25 2018 tv <tv> 4.5.0-1.mga7
+ Revision: 1196904
- update to 4.005

* Thu Nov 16 2017 daviddavid <daviddavid> 4.4.0-1.mga7
+ Revision: 1177539
- new release

* Tue Oct 03 2017 tv <tv> 3.15.0-4.mga7
+ Revision: 1166472
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.15.0-3.mga7
+ Revision: 1149927
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.15.0-2.mga7
+ Revision: 1126607
- Rebuild against new Perl 5.26

* Tue Jul 18 2017 daviddavid <daviddavid> 3.15.0-1.mga7
+ Revision: 1124860
- update to 3.015
- update URL

* Sun Jun 19 2016 pterjan <pterjan> 3.14.0-2.mga6
+ Revision: 1033032
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 3.14.0-1.mga6
+ Revision: 923926
- update to 3.014

* Tue Jul 07 2015 sander85 <sander85> 3.5.0-1.mga6
+ Revision: 852476
- update to 3.005

* Fri Jun 26 2015 tv <tv> 3.2.0-4.mga6
+ Revision: 845258
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 3.2.0-3.mga6
+ Revision: 841346
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-2.mga5
+ Revision: 743292
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.2.0-1.mga5
+ Revision: 731962
- imported package perl-Sereal-Encoder


* Tue Sep 30 2014 Thierry Vignaud <tv@mageia.org> 3.2.0-1.mga5
- initial mageia release, generated with cpan2dist
